package com.kamco.cd.kamcoback.common.enums;

import com.kamco.cd.kamcoback.common.utils.enums.CodeExpose;
import com.kamco.cd.kamcoback.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@CodeExpose
@Getter
@AllArgsConstructor
public enum MngStateType implements EnumType {
  NOTYET("동기화 시작"),
  PROCESSING("데이터 체크"),
  DONE("동기화 작업 종료"),
  TAKINGERROR("오류 데이터 처리중");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
